package com.ruoyi.brewery.service;

import java.util.List;
import com.ruoyi.brewery.domain.WyBeerCoinPlan;

/**
 * 啤酒币方案Service接口
 * 
 * @author ruoyi
 * @date 2024-12-21
 */
public interface IWyBeerCoinPlanService 
{
    /**
     * 查询啤酒币方案
     * 
     * @param id 啤酒币方案主键
     * @return 啤酒币方案
     */
    public WyBeerCoinPlan selectWyBeerCoinPlanById(Long id);

    /**
     * 查询啤酒币方案列表
     * 
     * @param wyBeerCoinPlan 啤酒币方案
     * @return 啤酒币方案集合
     */
    public List<WyBeerCoinPlan> selectWyBeerCoinPlanList(WyBeerCoinPlan wyBeerCoinPlan);

    /**
     * 新增啤酒币方案
     * 
     * @param wyBeerCoinPlan 啤酒币方案
     * @return 结果
     */
    public int insertWyBeerCoinPlan(WyBeerCoinPlan wyBeerCoinPlan);

    /**
     * 修改啤酒币方案
     * 
     * @param wyBeerCoinPlan 啤酒币方案
     * @return 结果
     */
    public int updateWyBeerCoinPlan(WyBeerCoinPlan wyBeerCoinPlan);

    /**
     * 批量删除啤酒币方案
     * 
     * @param ids 需要删除的啤酒币方案主键集合
     * @return 结果
     */
    public int deleteWyBeerCoinPlanByIds(Long[] ids);

    /**
     * 删除啤酒币方案信息
     * 
     * @param id 啤酒币方案主键
     * @return 结果
     */
    public int deleteWyBeerCoinPlanById(Long id);
}
